Source: liburi-smarturi-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Julien Vaubourg <julien@vaubourg.com>,
           Xavier Guimard <yadd@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13), perl, libmodule-install-perl
Build-Depends-Indep: libclass-c3-componentised-perl,
                     libfile-find-rule-perl,
                     liblist-moreutils-perl,
                     libmoose-perl,
                     libnamespace-clean-perl,
                     libtest-fatal-perl,
                     libtest-nowarnings-perl,
                     liburi-perl,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/liburi-smarturi-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/liburi-smarturi-perl.git
Homepage: https://metacpan.org/release/URI-SmartURI

Package: liburi-smarturi-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libclass-c3-componentised-perl,
         libfile-find-rule-perl,
         liblist-moreutils-perl,
         libmoose-perl,
         libnamespace-clean-perl,
         liburi-perl
Description: subclass of URI which add an hostless object
 URI::SmartURI is a sort of "subclass" of URI using delegation with some extra
 methods, all the methods that work for URIs will work on these objects as
 well.
 .
 It's similar in spirit to URI::WithBase.
 .
 It's also completely safe to subclass for your own use.
